Description: Update tests for libyaml-perl >= 1.25
 It seems that MARC::Transform itself is fine, and only its test suite
 needs a tiny patch. Nodes containing '#' just need to be quoted.
Origin: vendor
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=125307
Bug: https://rt.cpan.org/Public/Bug/Display.html?id=125307
Bug-Debian: https://bugs.debian.org/898561
Author: Tina Müller <cpan2@tinita.de>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2018-05-31

--- a/t/test.t
+++ b/t/test.t
@@ -97,7 +97,7 @@
   b : the 600b value
 execute : \&reencodeRecordtoUtf8()
 ---
-condition : $f502a eq "I want #_dbquote_##_dollars_##_dbquote_#"
+condition : \'$f502a eq "I want #_dbquote_##_dollars_##_dbquote_#"\'
 create :
  f605a : "#_dbquote_#$f502a#_dbquote_# contain a #_dollars_# sign"
 ---
@@ -549,7 +549,7 @@
 #print "--init record--\n". $record17->as_formatted;
 my $yaml17 = '
 ---
-condition : $f501a eq "I want #_dbquote_##_dollars_##_dbquote_#"
+condition : \'$f501a eq "I want #_dbquote_##_dollars_##_dbquote_#"\'
 create :
  f604a : "#_dbquote_#$f501a#_dbquote_# contain a #_dollars_# sign"
 ';
